import { OnInit, AfterContentInit, OnDestroy } from '@angular/core';
import { BaseControlComponent } from '../../../core/base-control/base-control.component';
import { TextAreaInputComponentInputs } from './text-area-input.component.inputs';
export declare class TextAreaInputComponent extends BaseControlComponent implements OnInit, AfterContentInit, OnDestroy {
    hidden: boolean;
    value: any;
    inputs: TextAreaInputComponentInputs;
    label: string;
    private valueSubs;
    private fieldDataSubs;
    constructor(config: any);
    ngOnInit(): void;
    ngAfterContentInit(): void;
    saveValue(val?: any): void;
    ngOnDestroy(): void;
}
export declare const textAreaInputComponentDefaultInputs: TextAreaInputComponentInputs;
